%define libdrm %mklibname drm 2
Name: libdrm
Summary: Userspace interface to kernel DRM services
Version: 2.0.2
Release: %mkrel 1
Group: Development/X11
License: MIT/X11
URL: http://xorg.freedesktop.org
Source0: http://dri.freedesktop.org/libdrm/libdrm-%{version}.tar.bz2
# (fc) do not change permission if not requested
Patch0: libdrm-2.0.1-perm.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros >= 1.0.1

%description
Userspace interface to kernel DRM services

#-----------------------------------------------------------
%package -n %{libdrm}
Summary: Userspace interface to kernel DRM services
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libdrm}
Userspace interface to kernel DRM services

#-----------------------------------------------------------

%package -n %{libdrm}-devel
Summary: Development files for %{name}
Group: Development/X11
Provides: libdrm-devel = %{version}-%{release}
Requires: %{name} >= %{version}

%description -n %{libdrm}-devel
Development files for %{name}

%files -n %{libdrm}-devel
%defattr(-,root,root)
%dir %{_includedir}/drm
%{_includedir}/drm/drm.h
%{_includedir}/drm/drm_sarea.h
%{_includedir}/drm/i915_drm.h
%{_includedir}/drm/mach64_drm.h
%{_includedir}/drm/mga_drm.h
%{_includedir}/drm/r128_drm.h
%{_includedir}/drm/r300_reg.h
%{_includedir}/drm/radeon_drm.h
%{_includedir}/drm/savage_drm.h
%{_includedir}/drm/sis_drm.h
%{_includedir}/drm/via_3d_reg.h
%{_includedir}/drm/via_drm.h
%{_includedir}/xf86drm.h
%{_libdir}/libdrm.la
%{_libdir}/libdrm.so
%{_libdir}/pkgconfig/libdrm.pc
 
#-----------------------------------------------------------

%package -n %{libdrm}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{name}-devel >= %{version}
Provides: libdrm-static-devel = %{version}-%{release}

%description -n %{libdrm}-static-devel
Static development files for %{name}

%files -n %{libdrm}-static-devel
%defattr(-,root,root)
%{_libdir}/libdrm.a

#-----------------------------------------------------------

%prep
%setup -q -n libdrm-%{version}
%patch0 -p1 -b .perm

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--enable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std 

%clean
rm -rf %{buildroot}

%post -n %{libdrm} -p /sbin/ldconfig

%postun -n %{libdrm} -p /sbin/ldconfig

%files -n %{libdrm}
%defattr(-,root,root)
%{_libdir}/libdrm.so.2
%{_libdir}/libdrm.so.2.0.0


%changelog
* Wed Jun 28 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-28 14:25:38 (38128)
- new upstream version (2.0.2):
   * Updated kernel DRM headers

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-06-06 18:49:53 (36714)
- Patch0: do not change permission if not requested
- call ldconfig on lib package install/removal

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 21:57:49 (31395)
- fix license

* Tue May 16 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-16 21:16:02 (27451)
- renaming the specfile as well

* Tue May 16 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-16 21:15:03 (27450)
- renaming the package to its right name (without the soname)

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:53:52 (26911)
- do not use soname in the srpm

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
